Subject: MODSSL - Internet Explorer problems with dial up users.

From: "Rahr Carl H" <[email-masked]>
Date: Thu, 25 Jul 2002 15:46:42 -0400

Hi List!

I'm having a problem with MODSSL specific to 128-cipher strength IE browsers for users who access our college web site via dial-up.  The sites certificate authority is Verisign.  The Apache server (1.3.19) runs a Windows 2000 server and is used to access a database using mod_plsql.

SSL encryption works fine for all computers and browsers (IE and Netscape) that are wired to our campus network.  Dial-up users with IE 128-bit strength browsers receive "Page cannot be displayed".  These users can reach the secure site (encryption icon locked), but have difficulty after entering a user ID and PIN.  If they are lucky enough get past the login they usually have problems anytime they attempt to submit parameters.  Dial-in Netscape users do not have a problem.

My config file has all the necessary IE environment modifications.
In virtual host area:  SetEnvIf User-Agent ".*MSIE.*" nokeepalive ssl-unclean-shutdown
And in the <IfModule mod_setenvif.c> area:  BrowserMatch "MSIE 4\.0b2;" nokeepalive downgrade-1.0 force-response-1.0

I find it confusing that I can use IE 6 on my laptop on the network and not have a problem, yet when I dial in it does not work.

Any suggestions would be greatly welcomed.

Thanks,

CJ Rahr
Lead Programmer / Analyst
Alfred State College
[email-masked]

______________________________________________________________________
Apache Interface to OpenSSL (mod_ssl)                   www.modssl.org
User Support Mailing List                      [email-masked]
Automated List Manager                            [email-masked]